Index: configure.ac
===================================================================
--- configure.ac	(revision 389474)
+++ configure.ac	(working copy)
@@ -498,6 +498,7 @@
 AST_EXT_LIB_CHECK([CURSES], [curses], [initscr], [curses.h])
 AST_EXT_LIB_CHECK([NCURSES], [ncurses], [initscr], [curses.h])
 AST_EXT_LIB_CHECK([UUID], [uuid], [uuid_generate_random], [uuid/uuid.h], [-luuid])
+AST_EXT_LIB_CHECK([E2FSUUID], [e2fs-uuid], [uuid_generate_random], [uuid/uuid.h], [-le2fs-uuid])
 AST_EXT_LIB_CHECK([JANSSON], [jansson], [json_dumps], [jansson.h])
 
 EDITLINE_LIB=""
@@ -515,7 +516,9 @@
 AC_SUBST(EDITLINE_LIB)
 
 if test "x$UUID_LIB" == "x"; then
-  AC_MSG_ERROR([*** uuid support not found (this typically means the uuid development package is missing)])
+  if test "x$E2FSUUID_LIB" == "x"; then
+  	AC_MSG_ERROR([*** uuid support not found (this typically means the uuid development package is missing)])
+  fi
 fi
 
 if test "x$JANSSON_LIB" == "x"; then
